<?php

declare(strict_types=1);

namespace Dedi\SyliusMailAdminPlugin\Entity;

use Sylius\Component\Resource\Model\ResourceInterface;

interface MailTranslationInterface extends ResourceInterface
{
    public function getId(): ?int;

    public function getSubject(): ?string;

    public function setSubject(?string $subject): self;

    public function getContent(): ?string;

    public function setContent(?string $content): self;

    public function getSenderAddress(): ?string;

    public function setSenderAddress(?string $senderAddress): self;

    public function getSenderName(): ?string;

    public function setSenderName(?string $senderName): self;
}
